## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csLittleEndian Struct Reference
[Utilities]

Little endian to native conversion routines. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions

static int64 | Convert (int64 x)
static uint64 | Convert (uint64 x)
static int32 | Convert (int32 x)
static uint32 | Convert (uint32 x)
static int16 | Convert (int16 x)
static uint16 | Convert (uint16 x)
| Convert specifically sized type from or to little endian.
static int16 | Int16 (int16 x)
static int32 | Int32 (int32 x)
static int64 | Int64 (int64 x)
static uint16 | UInt16 (uint16 x)
static uint32 | UInt32 (uint32 x)
static uint64 | UInt64 (uint64 x)

## Detailed Description

Little endian to native conversion routines.

Remarks:
  Since conversion from and to native representation is the same operation, all methods can be used for either direction.

Definition at line 90 of file csendian.h.

## Member Function Documentation

static uint16 csLittleEndian::Convert | ( | uint16 | x | ) | `[inline, static]`

| Convert specifically sized type from or to little endian. Definition at line 95 of file csendian.h. Referenced by csGetLittleEndianLong(), csGetLittleEndianShort(), csLittleEndianFloat(), csLittleEndianLong(), csLittleEndianLongLong(), and csLittleEndianShort().

The documentation for this struct was generated from the following file:

- csutil/csendian.h